Bug 1807339 - Second pass through INSTALLATION DESTINATION with empty disk complains there is not enough space
Summary: Second pass through INSTALLATION DESTINATION with empty disk complains there ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 32
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa AcceptedFreezeException
Depends On:
Blocks: F32BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-02-26 07:08 UTC by Adam Williamson
Modified: 2020-03-22 03:09 UTC (History)
9 users (show)

Fixed In Version: anaconda-32.24.2-2 anaconda-32.24.2-2.fc32 anaconda-32.24.3-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 20:49:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2020-02-26 07:08:48 UTC
With both anaconda 33 and 32.24.2, if you complete the INSTALLATION DESTINATION screen with an empty disk of sufficient size then *go back through it again*, anaconda thinks it has almost no space available, and shows the "You don't have enough space available to install Fedora" dialog:

https://openqa.fedoraproject.org/tests/527429#step/disk_guided_encrypted/8

this breaks all openQA encrypted install tests, because those do this (for silly reasons I won't bother explaining) - they first go through INSTALLATION DESTINATION and just hit 'Done' to accept the empty disk as the install target, then they go through it *again* and actually configure the encryption.

Proposing as a Beta freeze exception issue as this affects our automated test coverage and cannot be fixed with an update.

Comment 1 Vendula Poncova 2020-03-01 09:26:15 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/2345

Comment 2 Geoffrey Marr 2020-03-02 20:21:51 UTC
Discussed during the 2020-03-02 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update. If the fix is delayed or doesn't work, we may consider it as a blocker.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-02/f32-blocker-review.2020-03-02-17.00.txt

Comment 3 Fedora Update System 2020-03-04 20:15:27 UTC
anaconda-32.24.2-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-52be94871e

Comment 4 Lukas Ruzicka 2020-03-06 13:02:06 UTC
I confirm, that this version of Anaconda does not have the described issue. In a new (empty) VM, it does not require to reclaim the space and promptly creates the automatic layout and installs the system.

Comment 5 Fedora Update System 2020-03-06 20:49:28 UTC
anaconda-32.24.2-2.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-03-17 13:47:09 UTC
FEDORA-2020-84ddf3ee4d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-84ddf3ee4d

Comment 7 Fedora Update System 2020-03-18 02:38:35 UTC
anaconda-32.24.3-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-84ddf3ee4d

Comment 8 Fedora Update System 2020-03-22 03:09:06 UTC
anaconda-32.24.3-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.